Sso\WebserviceBundle\Entity\Webservice\Type\UserApplication:
    type: entity
    table: user_application
    id:
        Id:
            type: string
            length: 64
            fixed: true
            column: id
            generator:
                strategy: NONE
    fields:
        Active:
            type: boolean
            column: isactive
        Name:
            type: string
            length: 127
            column: application_name
        UpdatedAt:
            type: datetime
            nullable: true
            column: updated_at
    manyToOne:
        User:
            targetEntity: User
            inversedBy: UserApplications
            joinColumn:
                name: user_id
                referencedColumnName: user_id
                onDelete: CASCADE
        Application:
            targetEntity: Application
            inversedBy: UserApplications
            joinColumn:
                name: application_id
                referencedColumnName: application_id
    oneToMany:
        Attributes:
            targetEntity: UserApplicationAttribute
            mappedBy: UserApplication
        Roles:
            targetEntity: UserApplicationRole
            mappedBy: UserApplication
    lifecycleCallbacks:
        postLoad: [ onPostLoad ]
        prePersist: [ onPrePersist ]
        preUpdate: [ onPreUpdate ]
        preRemove: [ onPreRemove ]
